import * as riot from 'riot';
import TinyConsent from './src/TinyConsent.riot';

riot.register('tiny-consent', TinyConsent);

const consent = {
    cookies: [{
        id: 'wordpress',
        name: 'wordpress_*',
        content: 'Wordpress und WooCommerce nutzen Session, diese werden zum einen für den Login genutzt, aber auch für den Warenkorb.',
        essential: true
    },{
        name: 'matamo',
        content: 'test',
        handleAgree: function() {
            console.log('agree');
        },
        handleReject: function() {
            console.log('reject');
        }
    }]
};
riot.mount('tiny-consent', consent);